import useSanityClient from "../utils/useSanityClient.js";
import { useRuntimeConfig } from "#imports";
export const useSanityLiveMode = async () => {
  if (import.meta.client) {
    const client = await useSanityClient(true, "default", useRuntimeConfig().public.sanity);
    if (client.queryStore) {
      return client.queryStore.enableLiveMode({ client: client.client });
    }
  }
  return () => {
  };
};
